Class Http (0.3.0)

public final class Http extends GeneratedMessage implements HttpOrBuilder

Specify the full URL of the HTTP request within "target". Also specify any uploaded or downloaded file information within "source" or "target".

Protobuf type google.backstory.Http

Implements

HttpOrBuilder

Static Fields

METHOD_FIELD_NUMBER

public static final int METHOD_FIELD_NUMBER
Field Value
Type Description
int

REFERRAL_URL_FIELD_NUMBER

public static final int REFERRAL_URL_FIELD_NUMBER
Field Value
Type Description
int

RESPONSE_CODE_FIELD_NUMBER

public static final int RESPONSE_CODE_FIELD_NUMBER
Field Value
Type Description
int

USER_AGENT_FIELD_NUMBER

public static final int USER_AGENT_FIELD_NUMBER
Field Value
Type Description
int

Static Methods

getDefaultInstance()

public static Http getDefaultInstance()
Returns
Type Description
Http

getDescriptor()

public static final Descriptors.Descriptor getDescriptor()
Returns
Type Description
Descriptor

newBuilder()

public static Http.Builder newBuilder()
Returns
Type Description
Http.Builder

newBuilder(Http prototype)

public static Http.Builder newBuilder(Http prototype)
Parameter
Name Description
prototype Http
Returns
Type Description
Http.Builder

parseDelimitedFrom(InputStream input)

public static Http parseDelimitedFrom(InputStream input)
Parameter
Name Description
input InputStream
Returns
Type Description
Http
Exceptions
Type Description
IOException

parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)

public static Http parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
input InputStream
extensionRegistry ExtensionRegistryLite
Returns
Type Description
Http
Exceptions
Type Description
IOException

parseFrom(byte[] data)

public static Http parseFrom(byte[] data)
Parameter
Name Description
data byte[]
Returns
Type Description
Http
Exceptions
Type Description
InvalidProtocolBufferException

parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)

public static Http parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
data byte[]
extensionRegistry ExtensionRegistryLite
Returns
Type Description
Http
Exceptions
Type Description
InvalidProtocolBufferException

parseFrom(ByteString data)

public static Http parseFrom(ByteString data)
Parameter
Name Description
data ByteString
Returns
Type Description
Http
Exceptions
Type Description
InvalidProtocolBufferException

parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)

public static Http parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
data ByteString
extensionRegistry ExtensionRegistryLite
Returns
Type Description
Http
Exceptions
Type Description
InvalidProtocolBufferException

parseFrom(CodedInputStream input)

public static Http parseFrom(CodedInputStream input)
Parameter
Name Description
input CodedInputStream
Returns
Type Description
Http
Exceptions
Type Description
IOException

parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)

public static Http parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
input CodedInputStream
extensionRegistry ExtensionRegistryLite
Returns
Type Description
Http
Exceptions
Type Description
IOException

parseFrom(InputStream input)

public static Http parseFrom(InputStream input)
Parameter
Name Description
input InputStream
Returns
Type Description
Http
Exceptions
Type Description
IOException

parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)

public static Http parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
input InputStream
extensionRegistry ExtensionRegistryLite
Returns
Type Description
Http
Exceptions
Type Description
IOException

parseFrom(ByteBuffer data)

public static Http parseFrom(ByteBuffer data)
Parameter
Name Description
data ByteBuffer
Returns
Type Description
Http
Exceptions
Type Description
InvalidProtocolBufferException

parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)

public static Http parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
data ByteBuffer
extensionRegistry ExtensionRegistryLite
Returns
Type Description
Http
Exceptions
Type Description
InvalidProtocolBufferException

parser()

public static Parser<Http> parser()
Returns
Type Description
Parser<Http>

Methods

equals(Object obj)

public boolean equals(Object obj)
Parameter
Name Description
obj Object
Returns
Type Description
boolean
Overrides

getDefaultInstanceForType()

public Http getDefaultInstanceForType()
Returns
Type Description
Http

getMethod()

public String getMethod()

The HTTP request method (e.g. "GET", "POST", "PATCH", "DELETE").

string method = 1;

Returns
Type Description
String

The method.

getMethodBytes()

public ByteString getMethodBytes()

The HTTP request method (e.g. "GET", "POST", "PATCH", "DELETE").

string method = 1;

Returns
Type Description
ByteString

The bytes for method.

getParserForType()

public Parser<Http> getParserForType()
Returns
Type Description
Parser<Http>
Overrides

getReferralUrl()

public String getReferralUrl()

The URL for the HTTP referer.

string referral_url = 2;

Returns
Type Description
String

The referralUrl.

getReferralUrlBytes()

public ByteString getReferralUrlBytes()

The URL for the HTTP referer.

string referral_url = 2;

Returns
Type Description
ByteString

The bytes for referralUrl.

getResponseCode()

public int getResponseCode()

The response status code, for example 200, 302, 404, or 500.

int32 response_code = 4;

Returns
Type Description
int

The responseCode.

getSerializedSize()

public int getSerializedSize()
Returns
Type Description
int
Overrides

getUserAgent()

public String getUserAgent()

The User-Agent request header which includes the application type, operating system, software vendor or software version of the requesting software user agent.

string user_agent = 3;

Returns
Type Description
String

The userAgent.

getUserAgentBytes()

public ByteString getUserAgentBytes()

The User-Agent request header which includes the application type, operating system, software vendor or software version of the requesting software user agent.

string user_agent = 3;

Returns
Type Description
ByteString

The bytes for userAgent.

hashCode()

public int hashCode()
Returns
Type Description
int
Overrides

internalGetFieldAccessorTable()

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Returns
Type Description
FieldAccessorTable
Overrides

isInitialized()

public final boolean isInitialized()
Returns
Type Description
boolean
Overrides

newBuilderForType()

public Http.Builder newBuilderForType()
Returns
Type Description
Http.Builder

newBuilderForType(AbstractMessage.BuilderParent parent)

protected Http.Builder newBuilderForType(AbstractMessage.BuilderParent parent)
Parameter
Name Description
parent BuilderParent
Returns
Type Description
Http.Builder
Overrides

toBuilder()

public Http.Builder toBuilder()
Returns
Type Description
Http.Builder

writeTo(CodedOutputStream output)

public void writeTo(CodedOutputStream output)
Parameter
Name Description
output CodedOutputStream
Overrides
Exceptions
Type Description
IOException